> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

> The `gigs.updated` webhook is sent when there is any change to a property value of the [gig object](/api-reference/gigs/overview).

For example, after a gig assignment is completed the gig object's `status` value changes from `in_progress` to `completed`.


# Gigs.updated webhook



## OpenAPI

````yaml openAPI/gigs-webhooks-updated.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Gigs Webhooks
  version: 1.0.0
  description: >
    Sent when gigs are added, updated, or removed.


    If you need to access to gig data as soon as it is available:

    *   The `gigs.partially_synced` webhook is sent when gigs going back a
    specified number of days prior (starting from the date when the account was
    added) have been retrieved during initial data retrieval for a newly
    connected account.

    *   The `gigs.fully_synced` webhook is sent when all gigs have been
    retrieved during initial data retrieval for a newly connected account.


    Because some accounts can contain thousands of gigs, we recommend
    subscribing to the `gigs.partially_synced` webhook when especially
    time-sensitive. The `gigs.fully_synced` webhook will only be sent when all
    gig data has been retrieved, which may take up to several hours in these
    cases.
servers: []
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      summary: Example subscription
      description: >
        The `gigs.updated` webhook is sent when there is any change to a
        property value of the [gig object](/api-reference/gigs/overview).


        For example, after a gig assignment is completed the gig object's
        `status` value changes from `in_progress` to `completed`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GigsUpdatedWebhookRequest'
            examples:
              gigs_updated_subscription:
                summary: gigs.updated subscription
                value:
                  events:
                    - gigs.updated
                  name: name-for-the-webhook-subscription
                  url: https://your-webhook-backend.com
                  secret: optional-secret
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GigsUpdatedWebhookResponse'
components:
  schemas:
    GigsUpdatedWebhookRequest:
      type: object
      properties:
        events:
          type: array
          items:
            type: string
          description: |
            `gigs.updated`
        name:
          type: string
          description: Your name for the webhook subscription.
        url:
          type: string
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form.
        secret:
          type: string
          description: >-
            Optional secret used to [verify
            webhooks](/api-guide/webhooks#verifying-webhooks).
      required:
        - events
        - name
        - url
      example:
        events:
          - gigs.updated
        name: name-for-the-webhook-subscription
        url: https://your-webhook-backend.com
        secret: optional-secret
    GigsUpdatedWebhookResponse:
      type: object
      properties:
        event:
          type: string
          description: |
            `gigs.updated`
        name:
          type: string
          description: Name used for the webhook subscription.
        data:
          type: object
          description: ''
          properties:
            account:
              type: string
              format: uuid
              description: ID of the account.
            user:
              type: string
              format: uuid
              description: ID of the user.
            available_from:
              type: string
              format: date-time
              description: >-
                Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601))
                of the account's earliest available gig.
            available_to:
              type: string
              format: date-time
              description: >-
                Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601))
                of the account's most recent gig.
            available_count:
              type: integer
              description: Number of gigs currently available for this account.
            updated_count:
              type: integer
              description: Number of gigs updated.
            updated_gigs:
              type: array
              items:
                type: string
                format: uuid
              description: ID's of the updated gigs.
            updated_from:
              type: string
              format: date-time
              description: >-
                Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601))
                of the earliest updated gig.
            updated_to:
              type: string
              format: date-time
              description: >-
                Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601))
                of the most recent updated gig.
      example:
        event: gigs.updated
        name: name-for-the-webhook-subscription
        data:
          account: 0187c66e-e7e5-811c-b006-2232f00f426a
          user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
          available_from: '2016-04-16T05:32:41Z'
          available_to: '2023-03-03T00:00:00Z'
          available_count: 2385
          updated_count: 2
          updated_gigs:
            - 0187b43a-35fa-56e2-1a95-f7e4232a4b3a
            - 0187dbfa-6f5e-a33a-af26-7e12ff408fea
          updated_from: '2023-03-02T00:00:00Z'
          updated_to: '2023-03-03T00:00:00Z'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````